package com.liang.service;

import com.liang.entity.*;
import com.liang.vo.dto.ViewFileVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 付款申请(StaPayapproval)表服务接口
 *
 * @author makejava
 * @since 2023-06-05 16:03:49
 */
public interface StaPayapprovalService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaPayapproval queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staPayapproval 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<StaPayapproval> queryByPage(StaPayapproval staPayapproval, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staPayapproval 实例对象
     * @return 实例对象
     */
    int insert(StaPayapproval staPayapproval);

    /**
     * 撤销数据（基本信息）
     *
     * @param staPayapproval 实例对象
     * @return 影响行数
     */
    int tjrevokeApprove(StaPayapproval staPayapproval);

    /**
     * 修改数据
     *
     * @param staPayapproval 实例对象
     * @return 实例对象
     */
    int update(StaPayapproval staPayapproval);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取付款申请列表
     *
     * @return
     */
    List<StaPayapproval> getFksqList(Map map);

    /**
     * 批量删除付款申请
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);

    /**
     * 修改审批状态
     *
     * @param staPayapproval 实例对象
     * @return 实例对象
     */
    int updateSpzt(StaPayapproval staPayapproval);
    /**
     * * 获取付款数据
     * */
    List<StaPayapproval> getFksq(Map map);

    List<StaPayapproval> queryByHtId(Integer id);

    StaPayapproval getYFKJE(String fysq);

    List<ViewFileVo> viewfile(String file);

    List<StaPayapproval> getFkjh(Integer id);


    Double selectPayByFkjh(Integer id);

    /**
     * 付款获取年度项目报账总额
     * @return
     */
    List<PrjAnnualbudget> getNdfk(Map map);

    void updateHtje(PrjContract prjContract);

    /**
     * 以项目汇总当前使用情况
     */
    List<PrjAnnualbudget> getXmzys(Map map);
}
